# SPDX-License-Identifier: CC-BY-NC-ND-4.0
# SPDX-FileCopyrightText: 2021, Vieno Hakkerinen <vieno@hakkerinen.eu>
---
- name: update system
  become: yes
  apt:
    update_cache: yes
    upgrade: safe
- name: install software
  become: yes
  apt:
    name:
      - curl
      - git
      - jq
    state: present
- name: git clone or pull departure script
  become: yes
  become_user: chch
  git:
    clone: yes
    depth: 1
    dest: /home/chch/departure
    force: yes
    repo: https://git.chch.it/ChCh/departure.git
    update: yes
    version: main
- name: remove ~/.bashrc
  become: yes
  become_user: chch
  file:
    path: ~/.bashrc
    state: absent
- name: copy ~/.bashrc
  become: yes
  become_user: chch
  template:
    src: bashrc
    dest: ~/.bashrc
    owner: chch
    group: chch
    mode: '0444'
- name: reboot
  become: yes
  reboot:
    post_reboot_delay: 60
    test_command: pgrep -u chch -a departure.sh
